# Which language to use
🇬🇧 Because it is Internet's *lingua franca*, development is generally done in english.
It is thus preferred you communicate in this language in discussions related to scripting.
However, if you don't speak English at all, you can write in french (QTG is based
in France, so most people here will understand this language).
For guild-related discussions, it is recommanded to use French, as all the QTG
guild is a Francophone guild.

🇫🇷 À des fins de compréhention internationale (l'anglais est la *lingua franca*
d'Internet), il est préférable de communiquer en anglais pour des discussions
relatives aux scripts.
Cependant, si vous ne parlez pas anglais du tout, vous pouvez écrire en français
(QTG est basé en France, donc la majorité des personnes ici parlent français).
Pour les discussions à propos de la guilde, il  est recommandé d'utiliser le français,
la guilde étant francophone.

# Coding style recommandations

To make it easierfor everyone to understand else's code, please follow these recommandations:

- Finish your file by an empty new line;
- Use descriptive names for files and variables;
- For scripts, use the file extension `.gs` if the file should be imported (does
not stand by itself), and `.src` else;
- Properly indent your code;
- Refer to the issue you are resolving in your merge requests' title or description.

# Templates

If you don't know or are not sure what to include in a merge request or issue,
you can use the provides templates. These templates are not exhaustive, but are
a good starting point.

To use the templates, you only need to follow the instructions (in italics, with examples), and
then to delete them. But keep everything that is not in italics!

# Commit messages

To improve readability of what is done to resolve the issue, you can add the issue number at the
end of your commit message.

Example:
```
Fix typos - #42
```

Geek well!
